Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.interceptors
Class ApprovalWorkflowInterceptor

    java.lang.Object
      org.jboss.portal.server.impl.invocation.JBossInterceptor
          org.jboss.portal.cms.CMSInterceptor
              org.jboss.portal.cms.impl.interceptors.ApprovalWorkflowInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

    public class ApprovalWorkflowInterceptor

extends CMSInterceptor

Created on : Jan 29, 2007

Author:
  Sohil Shah - sohil.shah@jboss.com

Constructor Summary
`ApprovalWorkflowInterceptor()`

Method Summary
`java.lang.String` | `getJNDIName()`
`protected java.lang.Object` | `invoke(JCRCommand invocation)`
`void` | `setJNDIName(java.lang.String jndiName)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.portal.cms.CMSInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApprovalWorkflowInterceptor

    public ApprovalWorkflowInterceptor()

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

  Returns:

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

  Parameters:
    `jndiName` -

### invoke

    protected java.lang.Object invoke(JCRCommand invocation)
                               throws java.lang.Exception,
                                      org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in class `CMSInterceptor`
  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.